Subject: bug#74496: 30.0.91; fullscreen frame set with F11 is shifted when ctwm restarts

From: martin rudalics <[email-masked]>
Date: Sat, 30 Nov 2024 20:01:24 +0100

>> What does (frame-geometry) evaluate to before and after restarting CTWM?
 >> What does (frame-parameter nil 'fullscreen) evaluate to before and after
 >> restarting CTWM?  Does a maximized frame change too?
 >>
 >
 > Having the ctwm maximized zoom frame lets both kinds of full frames
 > persist across ctwm restart.  Then, only having full frames be of the
 > F11 fullscreen type lets the fullscreen persist across ctwm restart.
 >
 > The result on Line 27 below seems to be key.

I'm completely lost.  I nowhere see the frame size change - a fullscreen
frame stays at 1920x1080 a maximized one at 1914x1074 and the positions
remain the same too.  OTOH the value of the fullscreen parameter is
reset to nil in both cases.  Can you run xwininfo to check the sizes
before and after restarting CTWM.

martin